View Issue Details

IDProjectCategoryLast Update
0020079AI War 2[All Projects] Crash/ExceptionJan 20, 2019 1:35 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.764 Mercenary Surge 
Fixed in Version0.765 Game Entity Split 
Summary0020079: Mercenaries that are supposed to be able to be summoned more than once can't be summoned twice
DescriptionAutomated shredders, for example. Unless I'm misunderstanding something.

For this save, you will have to wait a little bit for them to despawn. In the meantime, look at the description for them and watch as the summon button disappears when they warp out.

Also, they seem to have a weird fixation on anything with shields. If you want to see that, refer to the save in https://bugtracker.arcengames.com/view.php?id=20078
TagsNo tags attached.

Relationships

related to 0020064 resolvedx4000Bughunter Mercenary "times_allowed_to_summon" line doesn't appear to work 

Activities

Ovalcircle

Aug 31, 2018 12:43 am

reporter  

Autosave.600.savemet (56 bytes)
Autosave.600.save (276,091 bytes)

RocketAssistedPuffin

Aug 31, 2018 6:03 am

developer   ~0048649

Humm. They're meant to be hireable twice...I think I reported this in my own testing of them. Guess it wasn't included yet.

The summon button wasn't there at all for me. When I loaded, I just have one of the initial groups there. When they warp out, as you say not there.

The shields I have no clue on...never saw that before. I think that's out of my domain though - I have no understanding of ship logic.

RocketAssistedPuffin

Aug 31, 2018 6:14 am

developer   ~0048650

Aha. It's targeting priority.

 <priority name="ShieldGenerator" importance_metric="750" />

<priority name="NormalFleetship" importance_metric="100" />

 <priority name="NormalGuardPost" importance_metric="300" />

They're just following target priorities. I think that was put in there for the obvious situation of shields protecting stuff - but it's resulted in Mercs having an compulsion to destroy them.

x4000Bughunter

Sep 5, 2018 10:24 am

administrator   ~0048835

Is this working now?

RocketAssistedPuffin

Jan 20, 2019 1:35 pm

developer   ~0050726

Fixed long ago apparently - confirmed it to be working now.

Issue History

Date Modified Username Field Change
Aug 31, 2018 12:43 am Ovalcircle New Issue
Aug 31, 2018 12:43 am Ovalcircle File Added: Autosave.600.save
Aug 31, 2018 12:43 am Ovalcircle File Added: Autosave.600.savemet
Aug 31, 2018 6:03 am RocketAssistedPuffin Note Added: 0048649
Aug 31, 2018 6:14 am RocketAssistedPuffin Note Added: 0048650
Sep 5, 2018 10:23 am x4000Bughunter Relationship added related to 0020064
Sep 5, 2018 10:23 am x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 10:23 am x4000Bughunter Status new => assigned
Sep 5, 2018 10:24 am x4000Bughunter Note Added: 0048835
Jan 20, 2019 1:35 pm RocketAssistedPuffin Status assigned => resolved
Jan 20, 2019 1:35 pm RocketAssistedPuffin Resolution open => fixed
Jan 20, 2019 1:35 pm RocketAssistedPuffin Fixed in Version => 0.765 Game Entity Split
Jan 20, 2019 1:35 pm RocketAssistedPuffin Note Added: 0050726